function noScript
%% Development example
% Run solver and display results for an initially selected example
close all

caseName = 'growthCommon';
obtainData('init')

pbeDefinition = obtainData(caseName);
result = solvePbe(pbeDefinition);

% plot section
figure,subplot(4,1,1)
[X, Y] = extractDataFromPbeResult('bulkProperty', 1, result, pbeDefinition);
plot(X/60, Y)
title('supersaturation')
% [X, Y] = extractDataFromPbeResult('bulkProperty', 2, result, pbeDefinition);
% plot(X/60, Y*pbeDefinition.dec.cdef.density)
% title('total mass')

% subplot(4,1,2)
% [X, Y] = extractDataFromPbeResult('bulkProperty', 8, result, pbeDefinition);
% plot(X/60, Y)
% title('small particle storage')
subplot(4,1,2)
[X, Y] = extractDataFromPbeResult('bulkProperty', 7, result, pbeDefinition);
plot(X/60, Y)
title('mean unified partition')

subplot(4,1,3)
[X, Y] = extractDataFromPbeResult('bulkProperty', 4, result, pbeDefinition);
plot(X/60, Y)
title('mean width')

subplot(4,1,4)
[X, Y] = extractDataFromPbeResult('bulkProperty', 5, result, pbeDefinition);
plot(X/60, Y)
title('mean roundness')

hFigure = plotEvaluationFigures([], result, pbeDefinition, ...
    [1 0 0], {'k-'});

%% investigate changes in stirrer rate

% pbeDefinition = obtainData('short500rpm');
% result = solvePbe(pbeDefinition);
% hFigure = plotEvaluationFigures([], result, pbeDefinition, ...
%     [1 0 0], {'k-'});
% return
% 
% pbeDefinition = obtainData('short750rpm');
% result = solvePbe(pbeDefinition);
% hFigure = plotEvaluationFigures(hFigure, result, pbeDefinition, ...
%     [0 0 1], {'k-'});
% 
% pbeDefinition = obtainData('short999rpm');
% result = solvePbe(pbeDefinition);
% hFigure = plotEvaluationFigures(hFigure, result, pbeDefinition, ...
%     [1 0 1], {'k-'});
% 
% figure(hFigure.width)
% legend({'500rpm', '750rpm', '1000rpm'});
% figure(hFigure.round)
% legend({'500rpm', '750rpm', '1000rpm'});


%% Target implementation
% I need variations in:
%   1) ratio between the two q-values
%   2) magnitude of the two q-values
% Every variation will display all graphs for:
%   3) different stirrer speeds
%
% >> growth rate is fix(!)
% >> attrition rate might be fixed in common script
%
%% parameter set (example)
% ratio (qGrowth / qAtt): 
%   base, low, high, LOW, HIGH
% magnitude (qGrowth):
%   base, low, high, LOW, HIGH 
%
% qGrowth   qAtt    Ratio   magnitude   ratio
% 2         0.1     20                  low
% 3         0.1     30                  base
% 5         0.1     50                  high
% 10        0.1     100                 HIGH
% --
% 4         0.2     20
% 6         0.2     30
% 10        0.2     50
% --
% 

%% findings/influence
% * attrition rate: increases roundness (ss), faster process, higher
%     supersaturation, critical maximum (disappearing crystals)
% * kAtt: increases roundness (ss), faster rounding process
% * qGrowth: decreases roundness (ss)